Package org.apache.aries.jax.rs.rest.management.internal

## Class FrameworkServiceResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource
  - - org.apache.aries.jax.rs.rest.management.internal.FrameworkServiceResource

    public class FrameworkServiceResource
    extends BaseResource

### Constructor Summary

Constructors
`FrameworkServiceResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.ws.rs.core.Response` `service​(long serviceid, String ext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameworkServiceResource

    public FrameworkServiceResource​(org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### service

    @GET
    @Produces({"application/org.osgi.service+json","application/org.osgi.service+xml"})
    @Path("framework/service/{serviceid}{ext:(\\.json|\\.xml)*}")
    public javax.ws.rs.core.Response service​(@PathParam("serviceid")
                                             long serviceid,
                                             @PathParam("ext")
                                             String ext)